<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Frame](./puppeteer.frame.md) &gt; [\_onLifecycleEvent](./puppeteer.frame._onlifecycleevent.md)

## Frame.\_onLifecycleEvent() method

<b>Signature:</b>

```typescript
_onLifecycleEvent(loaderId: string, name: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  loaderId | string |  |
|  name | string |  |

<b>Returns:</b>

void

